# Genotype Quality Control, v. 1.1
# (c) 2005 I. Zorkoltseva
# last modified 21.01.2005

#******** default parametrs ************************

$inped="pedigree.dat"; # default input pedigree data file
$indat="genotype.dat";     # default input genotype data file
$sep=";";  # default input separator simbol between data fields
$x="";	# in case of autosome data

#***** get command line arguments and reparametrization *****

if (@ARGV!=0)   {
	for ($i=0;$i<@ARGV;$i++) 
	{
		$indat=$ARGV[$i+1] if ($ARGV[$i] =~ /-d/);
		$inped=$ARGV[$i+1] if ($ARGV[$i] =~ /-p/);
		$sep=$ARGV[$i+1] if ($ARGV[$i] =~ /-s/);
		$x=$ARGV[$i] if ($ARGV[$i] =~ /-x/); # in case of x-linked data
 }
 }

unlink 'pedfile.dat','marker.dat','temp.dat','pedcheck.err'; ## delete files 

system ("perl pre_pedcheck.pl -p $inped -d $indat -s $sep");

if($x) {
print"\X_Check\n";
system ("perl x_check.pl");}
else {
print "\PedCheck\n";
system ("pedcheck -n marker.dat -3");
system ("perl rec_pedcheck_err.pl -p $inped");
}
unlink 'temp.dat';
